%define name tinyproxy
%define version 1.4.3
%define release 1mdk

Name: %{name}
Version: %{version}
Release: %{release}
Summary: A lightweight, non-caching, optionally anonymizing http proxy
License: GPL
Source0: http://prdownloads.sourceforge.net/tinyproxy/%{name}-%{version}.tar.bz2
Source1: %{name}.conf
Source2: %{name}.init
Group: System/Servers
Url:        http://tinyproxy.sourceforge.net
BuildRoot:  %{_tmppath}/%{name}-%{version}-root

%description
An anonymizing http proxy which is very light on system resources,
ideal for smaller networks and similar situations where other proxies
(such as Squid) may be overkill and/or a security risk. Tinyproxy can
also be configured to anonymize http requests (allowing for exceptions
on a per-header basis).
%prep
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT
%setup -q

%build
%serverbuild

%configure --enable-xtinyproxy --enable-filter \
	--enable-tunnel  --enable-upstream \
	--with-config=%{_sysconfdir}/tinyproxy  --with-stathost=localhost 

%make

%install
mkdir -p  $RPM_BUILD_ROOT/%{_sysconfdir}/tinyproxy
mkdir -p  $RPM_BUILD_ROOT/%{_sysconfdir}/sysconfig
mkdir -p  $RPM_BUILD_ROOT/%{_initrddir}
%makeinstall bindir=$RPM_BUILD_ROOT/%{_sbindir}
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT/%{_sysconfdir}/tinyproxy/
install -m 755 %{SOURCE2} $RPM_BUILD_ROOT/%{_initrddir}/tinyproxy
echo "FLAGS=\" -c /etc/tinyproxy/tinyproxy.conf\"" > $RPM_BUILD_ROOT/%{_sysconfdir}/sysconfig/tinyproxy

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%post
%_post_service tinyproxy

%preun
%_preun_service tinyproxy

%files
%defattr(-,root,root)
%doc doc/{HTTP_ERROR_CODES,RFC_INFO,report.sh,tinyproxy.conf}
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README TODO 
%{_sbindir}/tinyproxy
%{_mandir}/man8/*
%dir %{_sysconfdir}/tinyproxy/
%config(noreplace) %{_sysconfdir}/sysconfig/tinyproxy
%config(noreplace) %{_sysconfdir}/tinyproxy/tinyproxy.conf
%config(noreplace) %{_initrddir}/tinyproxy

%changelog
* Wed Dec 12 2001 Philippe Libat <philippe@mandrakesoft.com> 1.4.3-1mdk
- First spec

